<template>
    <table class="table table-sm table-hover">
        <thead class="thead-light">
            <tr>
                <th scope="col" style="width: 10%">№ <small class="font-weight-bold">п/п</small></th>
                <th style="width: 30%">Код</th>
                <th style="width: 40%">Название кода</th>
                <th style="width: 20%">Значение</th>
            </tr>
        </thead>
        <tbody>
            <BudgetCodeWithAmountRow
                v-for="(codeWithAmount, index) in codesWithAmountsList"
                :key="codeWithAmount.codeId"
                :index="index"
                :detailsId="detailsId"
                :codeWithAmount="codeWithAmount"
                :editMode="editMode"/>
        </tbody>
    </table>
</template>

<script>
    import BudgetCodeWithAmountRow from './BudgetCodeWithAmountRow'

    export default {
        name: 'BudgetCodeWithAmountsTable',
        components: {
            BudgetCodeWithAmountRow
        },
        props: {
            detailsId: Number,
            codesWithAmountsList: Array,
            editMode: Boolean
        },
    }
</script>